import React from 'react';
import AssessmentInfo from './components/AssessmentInfo';
import GalleryInfo from './components/GalleryInfo';
import InspectionInfo from './components/InspectionInfo';
import MaintenanceInfo from './components/MaintenanceInfo';
import MapSection from './components/MapSection';
import MonitorInfo from './components/MonitorInfo';
import PipelineInfo from './components/PipelineInfo';
import styles from './index.less';

const PipeGalleryDetail: React.FC<{ metaData: any; coordData: any }> = ({
  metaData,
  coordData,
}) => {
  return (
    <div className={styles.container}>
      <div className={styles.content}>
        <div className={styles.leftSection}>
          <GalleryInfo dataSource={metaData} />
          <PipelineInfo dataSource={metaData} />
        </div>

        <div className={styles.mapSection}>
          {/* 地图组件 */}
          <MapSection pipelineInfo={metaData} coordData={coordData} />
        </div>

        <div className={styles.rightSection}>
          <InspectionInfo metaData={metaData} />
          <MaintenanceInfo metaData={metaData} />
          <AssessmentInfo metaData={metaData} />
          <MonitorInfo />
        </div>
      </div>
    </div>
  );
};

export default PipeGalleryDetail;
